"use strict";
var inversify_1 = require('inversify');
var Glob = require('glob');
var path = require('path');
var passport = require('passport');
var kernel = new inversify_1.Kernel();
exports.kernel = kernel;
var bindingGlob = path.join(process.cwd(), './**/_bindings.js');
var bindingFilePaths = Glob.sync(bindingGlob);
bindingFilePaths.forEach(function (filePath) {
    var registerGroupBindings = require(filePath).default;
    registerGroupBindings(kernel);
});
kernel.bind('IPassport').toConstantValue(passport);
