"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var inversify_1 = require('inversify');
var UserRepository = (function () {
    function UserRepository() {
        this._users = [];
        this._users.push({
            id: 1,
            username: 'jameskmonger',
            password: 'correct',
            firstName: 'James',
            lastName: 'Monger',
            profileImage: 'https://avatars0.githubusercontent.com/u/2037007?v=3&s=460'
        });
        this._users.push({
            id: 2,
            username: 'james.richford',
            password: 'correct',
            firstName: 'James',
            lastName: 'Richford',
            profileImage: 'https://avatars2.githubusercontent.com/u/8244919?v=3&s=460'
        });
        this._users.push({
            id: 3,
            username: 'jf',
            password: 'correct',
            firstName: 'James',
            lastName: 'Finnerty',
            profileImage: 'https://avatars0.githubusercontent.com/u/4427207?v=3&s=460'
        });
    }
    UserRepository.prototype.getAll = function () {
        return this._users;
    };
    UserRepository.prototype.getById = function (id) {
        return this._users.filter(function (u) { return u.id === id; })[0];
    };
    UserRepository.prototype.getByUsername = function (username) {
        return this._users.filter(function (u) { return u.username === username; })[0];
    };
    UserRepository = __decorate([
        inversify_1.injectable(), 
        __metadata('design:paramtypes', [])
    ], UserRepository);
    return UserRepository;
}());
exports.UserRepository = UserRepository;
