/// <reference path="../../typings/index.d.ts" />
import { Express } from 'express-serve-static-core';
import { IServiceManager, IReviewService, IAuthenticationService, IUserService, INoodleService, IBrandService } from './_namespace';
export declare class ServiceManager implements IServiceManager {
    private _containedServices;
    constructor(reviewService: IReviewService, authenticationService: IAuthenticationService, userService: IUserService, noodleService: INoodleService, brandService: IBrandService);
    registerRoutes(app: Express): void;
}
