import { ReviewDto } from '../dtos/_namespace';
import { IReviewRepository } from '../repositories/_namespace';
import { IReviewSerializer } from '../serializers/_namespace';
import { IReviewManager } from './_namespace';
export declare class ReviewManager implements IReviewManager {
    private _reviewRepository;
    private _reviewSerializer;
    constructor(reviewRepository: IReviewRepository, reviewSerializer: IReviewSerializer);
    getAll(): Array<ReviewDto>;
    getById(id: number): ReviewDto;
}
