import { UserDto } from '../dtos/_namespace';
import { UserModel } from '../models/_namespace';
import { IUserRepository } from '../repositories/_namespace';
import { IUserManager } from './_namespace';
import { IUserSerializer } from '../serializers/_namespace';
export declare class UserManager implements IUserManager {
    private _userRepository;
    private _userSerializer;
    constructor(userRepository: IUserRepository, userSerializer: IUserSerializer);
    attemptLogin(username: string, password: string): UserModel;
    getModelById(id: number): UserModel;
    getById(id: number): UserDto;
}
