"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var inversify_1 = require('inversify');
var ReviewRepository = (function () {
    function ReviewRepository(userRepository) {
        this._userRepository = userRepository;
        this._reviews = [];
        this._reviews.push({
            id: 1,
            author: this._userRepository.getById(1),
            title: 'Great noodles, top class.',
            body: 'These really have to be among some of the best noodles I\'ve ever tasted. Their noodliness was as noodly as it gets.',
            imageUrl: 'https://i.ytimg.com/vi/XutaTTNihe0/hqdefault.jpg'
        });
        this._reviews.push({
            id: 2,
            author: this._userRepository.getById(2),
            title: 'Not a fan',
            body: 'noodles were too spicy for my tongue',
            imageUrl: 'http://i.dailymail.co.uk/i/pix/2014/09/03/article-2740204-1C5E561F00000578-366_634x626.jpg'
        });
        this._reviews.push({
            id: 3,
            author: this._userRepository.getById(3),
            title: 'They were alright, I suppose...',
            body: 'They weren\'t the best, but they weren\'t the worst. Food\'s food, I guess.',
            imageUrl: 'http://i798.photobucket.com/albums/yy262/expressionofmyemotions/tumblr_lrud0coRjU1qhsw0o.gif'
        });
    }
    ReviewRepository.prototype.getAll = function () {
        return this._reviews;
    };
    ReviewRepository.prototype.getById = function (id) {
        return this._reviews.filter(function (r) { return r.id === id; })[0];
    };
    ReviewRepository = __decorate([
        inversify_1.injectable(),
        __param(0, inversify_1.inject('IUserRepository')), 
        __metadata('design:paramtypes', [Object])
    ], ReviewRepository);
    return ReviewRepository;
}());
exports.ReviewRepository = ReviewRepository;
