/// <reference path="../../typings/index.d.ts" />
import { Express } from 'express-serve-static-core';
import { IAuthenticationService } from './_namespace';
import { IAuthenticationManager, IPassport } from '../managers/_namespace';
export declare class AuthenticationService implements IAuthenticationService {
    private _passport;
    constructor(authenticationManager: IAuthenticationManager, passport: IPassport);
    registerRoutes(app: Express): void;
    private _authenticationPost(req, res, next);
}
