/// <reference path="../../typings/index.d.ts" />
import { Express } from 'express-serve-static-core';
import { IUserManager } from '../managers/_namespace';
import { IUserService } from './_namespace';
export declare class UserService implements IUserService {
    private _userManager;
    constructor(userManager: IUserManager);
    registerRoutes(app: Express): void;
    private _getCurrent(req, res);
    private _loginCheck(req, res, next);
}
